summaryrefslogtreecommitdiff
path: root/package/base-files/files/init.d/cifs
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/init.d/cifs')
-rw-r--r--package/base-files/files/init.d/cifs39
1 files changed, 39 insertions, 0 deletions
diff --git a/package/base-files/files/init.d/cifs b/package/base-files/files/init.d/cifs
new file mode 100644
index 000000000..b3ca9c649
--- /dev/null
+++ b/package/base-files/files/init.d/cifs
@@ -0,0 +1,39 @@
+#!/bin/sh
+#INIT 60
+
+case $1 in
+autostop) ;;
+autostart)
+ exec sh $0 start
+ ;;
+start)
+ grep -v "^#" /etc/fstab | grep cifs >/dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ grep cifs /proc/filesystems >/dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ mntpoints=$(grep -v "^#" /etc/fstab| grep cifs|awk '{ print $2 }')
+ for mntpoint in $mntpoints; do
+ mkdir -p $mntpoint
+ done
+ mount -a -t cifs
+ else
+ logger -s -t cifs "No cifs support in kernel"
+ fi
+ fi
+ ;;
+stop)
+ grep -v "^#" /etc/fstab| grep cifs >/dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ umount -a -t cifs
+ fi
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?